Bulk replace alert definitions
PUT
https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/replaceReplaces all alert definitions with the provided set.
Requires the following permissions:
alerts:UpdateConfig
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Body
application/json
A request to bulk replace multiple alert definitions
List of alert definitions to replace
Response
application/json
A response that contains the results of the bulk replace operation
List of successfully replaced alert definitions
List of alert definitions that failed to be replaced
notFoundIds#string[]
List of alert definition IDs that were not found
Example:
["123e4567-e89b-12d3-a456-426614174000"]skippedIds#string[]
List of alert definition IDs that were skipped (no changes detected)
Example:
["123e4567-e89b-12d3-a456-426614174000"]